# Packmangroup: Multimedia
# Packmanpackagename: lmms
# Packman: Quentin Denis

Summary:	LMMS - Linux MultiMedia Studio
Name:		lmms
Version:	0.2.0
Release:	1%{?dist}
License:	GPL
Group:		Productivity/Multimedia/Sound/Midi
Url: 		http://lmms.sourceforge.net/
Packager:	Jakub Wojnowski <jwojnowski@aurox.org>
Source0:        lmms-%{version}.tar.bz2
Source1:        lmms.desktop
Source2:        lmms.png

Patch0:         x86_64.diff
Requires:	SDL, SDL_sound, alsa-lib, libogg, libsamplerate, libvorbis, jack-audio-connection-kit
BuildRequires:	SDL-devel, SDL_sound, alsa-lib-devel, libogg-devel, libsamplerate-devel, libvorbis-devel, libsndfile-devel, jack-audio-connection-kit-devel, qt-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-build


%description
LMMS aims to be a free alternative to popular (but commercial and closed-source)
programs like FruityLoops, Cubase and Logic giving you the ability of producing
music with your computer by creating/synthesizing sounds,arranging samples,
playing live with keyboard and much more...
LMMS combines the features of a tracker-/sequencer-program (pattern-/channel-/
sample-/song-/effect-management) and those of powerful synthesizers and samplers
in a modern, user-friendly and easy to use graphical user-interface.


%prep
%setup -q -n %{name}-%{version}
%ifarch x86_64 amd64 ia32e
%patch0
%endif


%build
CFLAGS="${RPM_OPT_FLAGS}" \
CXXFLAGS="${RPM_OPT_FLAGS}" \
./configure \
	--prefix="%{_prefix}" \
	--libdir="%{_libdir}" \
	--sysconfdir="%{_sysconfdir}" \
	--mandir="%{_mandir}" \
%ifarch  x86_64 amd64 ia32e
	--enable-libsuffix=64 \
%endif

%{__make}


%install
rm -rf "${RPM_BUILD_ROOT}"
make DESTDIR="${RPM_BUILD_ROOT}" install-strip

mkdir -p %{buildroot}%{_datadir}/applications
install %{SOURCE1} %{buildroot}%{_datadir}/applications/

mkdir -p %{buildroot}%{_datadir}/pixmaps
install %{SOURCE2} %{buildroot}%{_datadir}/pixmaps/


%clean
[ -d  ${RPM_BUILD_ROOT} -a "${RPM_BUILD_ROOT}" != "/" ] && rm -rf  ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README

%{_bindir}/*
%{_libdir}/*
%{_datadir}/*


%changelog
* Mon Jul 24 2006 Jakub Wojnowski <kuba@aurox.org>
- initial Aurox release, update to version 0.2.0
* Thu Feb 02 2006 Quentin Denis <quentin@links2linux.de>
- update to 0.1.4, a bugfix release
* Wed Feb 01 2006 Quentin Denis <quentin@links2linux.de>
- update to 0.1.3
* Fri Jan 20 2006 Quentin Denis <quentin@links2linux.de>
- update to 0.1.2
* Thu Sep 29 2005 Quentin Denis <quentin@links2linux.de>
- update to 0.1.1
* Fri Jul 22 2005 Quentin Denis <quentin@links2linux.de>
- initial package for SuSE
